package labs11.assignment1;

import java.util.InputMismatchException;
import java.util.Scanner;

public class KeyboardInput2 {
	
	public static void scanWrite() {
		
		Scanner scanner = new Scanner(System.in);
		System.out.println("Please enter some text to test the method");
		String text = scanner.nextLine();
		System.out.println("You've entered: \"" + text + "\"");
		
	}
	
	public static void readNumbersSumSquares() {
		
		Scanner scanner = new Scanner(System.in);
		System.out.println("You are expected to enter 5 "
				+ "decimal numbers, one by one");
		
		double sum = 0;
		for (int i = 1; i <= 5; i++) {
			System.out.println("Enter " + i + ". number");
			try {
				double number = scanner.nextDouble();
				sum += Math.pow(number, 2);
			} catch (InputMismatchException e) {
				System.err.println("Incorrect decimal value, "
						+ "will be ignored");
				scanner.next();
				i--;
			}
		}
		System.out.println("Sum of squares: " + sum);
	}
	
	public static void readIntsFindMax() {
		
		Scanner scanner = new Scanner(System.in);
		
		System.out.println("Enter int values, "
				+ "and any other value to terminate");
		
		int max = Integer.MIN_VALUE;
		while(true) {
			System.out.println("Enter an int value");
			try {
				int number = scanner.nextInt();
				if ( number > max ) max = number;
			} catch (InputMismatchException e) {
				if ( max == Integer.MIN_VALUE )
					System.out.println("No value entered");
				else
					System.out.println("Maximum is " + max);
				return;
			}
		}
	}

}


